user:
{ pkgs, ... }: {
  programs.git = {
    enable = true;
    /* for git send-email support */
    package = pkgs.gitAndTools.gitFull;
    userName = user.git.name;
    userEmail = user.git.email;
    delta = {
      enable = true;
      options = {
        theme = "base16";
      };
    };
    extraConfig = {
      diff = {
        compactionHeuristic = true;
      };
      pull = {
        rebase = true;
      };
      push = {
        default = "simple";
      };
      sendemail = {
        smtpserver = "${pkgs.msmtp}/bin/msmtp";
      };
    };
    signing = {
      key = "1FFE431282F4B8CC0A7579167FB009175885FC76";
      signByDefault = true;
    };
  };
}
